#!/bin/sh -
# $Date: 2007/01/05 04:09:02 $ $Revision: 1.2 $
#   devconf -> diag -> parts -> statuschk

modules="diag parts statuschk"
tmp1=$HRM_temp/_config1_$$_
tmp2=$HRM_temp/_config2_$$_

$HRM_bin/devconf config  >$tmp1
if [ $? != 0 ]; then exit 1 ; fi

for mod in $modules
do
  if [ -x $HRM_bin/$mod ]
  then
	$HRM_bin/$mod config  <$tmp1 >$tmp2
	if [ $? = 0 -a -s $tmp2 ]
	then
		mv $tmp2 $tmp1
	else
		$HRM_bin/hrmevent "W0120:<<$mod>> config failed."
	fi
  fi
done
/bin/cat $tmp1

rm -f $tmp1 $tmp2
exit 0


