#!/bin/sh -
# $Date: 2008/12/02 11:24:30 $ $Revision: 1.5 $

echo "hrm6.0"

if [ "$HRM_type" != "" ]
then
	echo "$HRM_type `/bin/hostname | awk -F. '{print $1}'`"
else
	echo "IA `/bin/hostname | awk -F. '{print $1}'`"
fi


#
# encoding string
#
enc=""
if [  "$save_LANG" != "" ]; then
	if echo "$save_LANG" | grep -i eucJP > /dev/null 2>&1
	then
		enc="EUC-JP"
	elif echo "$save_LANG" | grep -i UTF-8 > /dev/null 2>&1
	then
		enc="UTF-8"
	fi
fi

if [ -f "$HRM_config/common.ini" ]
then
	e=`grep "^hello_encoding=" "$HRM_config/common.ini" | sed 's/hello_encoding=//'`
	if [ "$e" != "" ]
	then
		enc="$e"
	fi
fi

if [ "$enc" != "" ]
then
	echo "$enc"
fi

exit 0

