#!/bin/sh -
# $Date: 2008/10/17 07:39:00 $ $Revision: 1.3 $
#

echo `/bin/cat "$HRM_version_path"`

#
# exit if no parameter specified
#
if [ "$1" = "" ];then
        exit 0
fi

#
# call each HRM modules with "version" arg
#

if [ "$HRM_PLATFORM" = "PQ" -o "$HRM_PLATFORM" = "SR" ]
then
	modules="analysis devconf prognosis diag extrep parts patrol sdb"
else
	modules="analysis devconf diag extrep parts patrol sdb"
fi

for m in $modules
do
	if [ -x $HRM_bin/$m ]
	then
		echo "$m,`$HRM_bin/$m version`"
	fi
done

echo "sched,`$HRM_bin/hrmsched -v`"
exit 0
