#!/bin/sh 

USERID=`id | sed -e 's/uid=//' -e 's/(.*//'`
if [ $USERID -ne 0 ] ; then  # ok
	echo "please change super user"
	exit 1
fi

# do_kill process_name
do_kill()
{
	name="$1"
	pid=`/bin/ps auxw | grep -v grep | grep "$name" | awk '{ print $2; }'`
	if [ "$pid" != "" ]
	then
		echo "killing $name(" $pid ")"
		kill -9 $pid
		return 0
        fi
	return 1
}


for loop in 1 2 3    # max 3 times
do
  flag=0
  cd /opt/FJSVhrm/bin

  for f in *
  do
        # exclude files
        if [ "$f" = "hrmemerge.sh" ] ;  then
		continue
	fi

        cmd="/opt/FJSVhrm/bin/$f"
	if do_kill "$cmd"
	then
		flag=1			# found and send kill to process
	fi
  done

  if [ "$flag" = "0" ] ; then break ; fi
done

#
# cipherproxy
# 
do_kill /opt/FJSVhrmcp/bin/cipher_proxy
do_kill /opt/FJSVhrmcp/bin/cipher_proxy.sh
do_kill /opt/FJSVhrmcp/bin/cp_create_key.sh
do_kill /opt/FJSVhrmcp/bin/jre/bin/java

