#!/bin/sh -xv
#
#

#
# ¾10ðʾåƤ綯Ū˽³
#
do_lock()
{
	n=1
        until /bin/ln -s /dev/null $lockfile 2>/dev/null 
        do
                sleep 1
                if [ $n -gt 10 ] ; then break; fi	# max 10 sec
                n=`expr $n + 1`
        done
}

do_unlock()
{
        rm $lockfile
}

progress()
{
        do_lock
        echo "$1 $2" > $snapdir/.snap_progress
        do_unlock
}

#
# iniե˵Ҥ줿ĶѿŸ 
#
ini_env2path(){

    while read FL
    do
        t=`expr "$FL" : ".*%\(.*\)%"`
        if [ "$t" != "" ]
        then
            prev=`expr "$FL" : "\(.*\)%${t}%"`
            aftr=`expr "$FL" : ".*%${t}%\(.*\)"`
            if [ "$prev" != "" -a "$aftr" != "" ]
            then
                eval "v=\$$t"
                FL="$prev$v$aftr"
            fi
        fi
        echo $FL

    done < $HRM_config/collector_snap.ini
}

ini_env2path_sysinfo(){

    while read FL
    do
        t=`expr "$FL" : ".*%\(.*\)%"`
        if [ "$t" != "" ]
        then
            prev=`expr "$FL" : "\(.*\)%${t}%"`
            aftr=`expr "$FL" : ".*%${t}%\(.*\)"`
            if [ "$prev" != "" -a "$aftr" != "" ]
            then
                eval "v=\$$t"
                FL="$prev$v$aftr"
            fi
        fi
        echo $FL

    done < $HRM_config/sysinfo_collector_snap.ini
}

#
# check hard,soft,hrm flag
#
is_hard=0
is_soft=0
is_hrm=0
is_remcs=0
while [ "$1" != "" ]
do
        if [ "$1" = "hard" ];then  is_hard=1; fi
        if [ "$1" = "soft" ];then  is_soft=1; fi
        if [ "$1" = "hrm" ];then  is_hrm=1; fi
        if [ "$1" = "remcs" ];then  is_remcs=1; fi
        shift
done

# if none of them specified, enable all flags
if [ $is_hard = 0 -a $is_soft = 0 -a $is_hrm = 0 ]; then
        is_hard=1
        is_soft=1
        is_hrm=1
fi

progress 1 100 # Parameter Changed 
echo "HRMsnap start " `/bin/date '+%D %T'`
echo "model=$HRM_model"

#
# (*)collectorƤӽФ֥ե 
#
if [ "$is_hard" = 1 ];then
    ini_env2path > $HRM_temp/collector_snap.ini

    $HRM_bin/collector -i $HRM_temp/collector_snap.ini
    if [ $? != 0 ]
    then
        echo "Hrmsnap collector failed."
    fi

fi

progress 2 100

#
# (*)sysinfo_collectorƤӽФ֥ե 
#
if [ "$is_hard" = 1 ];then
    ini_env2path_sysinfo > $HRM_temp/sysinfo_collector_snap.ini

    $HRM_bin/sysinfo_collector -i $HRM_temp/sysinfo_collector_snap.ini
    if [ $? != 0 ]
    then
        echo "Hrmsnap sysinfo_collector failed."
    fi

fi

progress 3 100

#
# (*)OfflineData 
#
if [ "$is_hrm" = 1 ];then
    $HRM_bin/snap_hrmsnap.sh snap
#    cp $HRM_temp/hrmlog.hrm $tempdir/hrmlog.hrm.zip
fi

progress 49 100 # Parameter Changed 

#
# (*)󥹥ȡåư 
#
#if [ "$is_hrm" = 1 ];then
    if [ -x $HRM_bin/hrm_install_check.sh ];then
        $HRM_bin/hrm_install_check.sh -o $HRM_data/INSTALL_CHECKER_2.txt
    fi
#fi


#
# (1)OSեǤФ
#
progress 55 100 # Parameter Changed 

if [ "$is_hard" = 1 ] ; then
	/bin/ps -elf > $tempdir/ps-elf                  2>&1
	cat /etc/syslog.conf > $tempdir/etc_syslog.conf 2>&1
	cat /etc/rsyslog.conf > $tempdir/etc_rsyslog.conf 2>&1
	cat /etc/syslog-ng/syslog-ng.conf > $tempdir/etc_syslog-ng_syslog-ng.conf 2>&1
	cat /etc/services > $tempdir/etc_services       2>&1
	cat /etc/snmp/snmpd.conf > $tempdir/etc_snmp_snmpd.conf 2>&1
	/usr/bin/who -rb > $tempdir/who_rb    2>&1
	/sbin/lsmod       > $tempdir/lsmod    2>&1
	/sbin/lspci -vv   > $tempdir/lspci-vv 2>&1
	/bin/uname -a     > $tempdir/uname-a  2>&1
	/bin/df           > $tempdir/df    2>&1
	/bin/df -k        > $tempdir/df-k  2>&1
fi

progress 60 100

if [ "$is_hard" = 1 ] ; then
	cat /proc/cpuinfo > $tempdir/proc_cpuinfo 2>&1
	cat /proc/meminfo > $tempdir/proc_meminfo 2>&1
	cat /proc/cmdline > $tempdir/proc_cmdline 2>&1
	cat /proc/scsi/scsi > $tempdir/proc_scsi_scsi 2>&1
	cat /proc/bus/usb/devices > $tempdir/proc_bus__usb_devices 2>&1
	msg_list=$(ls -1rt /etc/*-release)
	if [ -n "$msg_list" ]; then
		for f in $msg_list; do
			cat "$f" > ${tempdir}/etc_`basename $f` 2>&1
		done
	fi
fi

progress 63 100

if [ "$is_hard" = 1 ] ; then
	/bin/netstat -an >  $tempdir/netstat-an 2>&1
fi

progress 65 100 # Parameter Changed 

if [ "$is_hard" = 1 ] ; then
	/sbin/ifconfig -a  > $tempdir/ifconfig_a
fi

#/usr/bin/isalist      > $tempdir/isalist
#/usr/sbin/psrinfo -v  > $tempdir/psrinfo_v
#cat /etc/release      > $tempdir/etc_release
#/usr/bin/prstat -c 3 2   > $tempdir/prstat_c_3_2


progress 70 100 # Parameter Changed 

$HRM_bin/version.sh all > $tempdir/hrm_versions

if [ "$is_soft" = 1 ] ; then
	/bin/rpm -qai > $tempdir/rpm-qai

	if [ -f /etc/selinux/config ]; then
		cp /etc/selinux/config $tempdir/etc_selinux_config
	fi
	if [ -f /var/log/audit/audit.log ]; then
		cp /var/log/audit/audit.log $tempdir
	fi
	if [ -x /usr/sbin/getenforce ]; then
		/usr/sbin/getenforce > $tempdir/getenforce
	fi
	if [ -x /usr/sbin/semodule ]; then
		/usr/sbin/semodule -l > $tempdir/semodule-l
	fi
fi

progress 75 100 # Parameter Changed 

#
# (2)Хѥˤ뤿$HRM_xxxƬ/Ȥ
#

if [ "$is_hard" = 1 ] ; then
	HRM_data_dir=`echo $HRM_data | cut -c2-`
	SSC_log="var/opt/FJSVhrmst/log/"
fi
if [ "$is_hrm" = 1 ] ; then
	HRM_update_dir=`echo $HRM_update | cut -c2-`
	HRM_config_dir=`echo $HRM_config | cut -c2-`
	HRM_log_dir=`echo $HRM_log | cut -c2-`
	HRMCP_data_dir=`echo /var/opt/FJSVhrmcp/data | cut -c2-`
	HRMCP_config_dir=`echo /var/opt/FJSVhrmcp/config | cut -c2-`
	HRMCP_temp_dir=`echo /var/opt/FJSVhrmcp/temp | cut -c2-`
	HRMCP_log_dir=`echo /var/opt/FJSVhrmcp/log | cut -c2-`
	HRMCP_keys_dir=`echo /var/opt/FJSVhrmcp/keys | cut -c2-`
fi
HRM_temp_dir=`echo $tempdir | cut -c2-`

progress 77 100 # Parameter Changed 

# program
if [ "$is_hrm" = 1 ] ; then
	/bin/ls -l $HRM_bin > $tempdir/HRM_bin_list
	/bin/ls -l $HRM_temp > $tempdir/HRM_temp_list
fi

progress 78 100

# firewall
if [ "$is_hard" = 1 ] ; then
	iptables --list -v --line-numbers >$tempdir/iptables__list 2>&1
fi


progress 80 100 # Parameter Changed 

#
# (3)MylexAdaptecServerviewRAID
#
echo "HRMsnap archive start " `/bin/date '+%D %T'`

cd /

if [ "$is_hard" = 1 ] ; then
# Gam
	cp /var/log/gamevlog.log $tempdir
#Dpte
	cp /usr/dpt/dptelog.* $tempdir

#ServerViewRAID
	if [ -d /opt/fujitsu/ServerViewSuite/RAIDManager/web/public/ ]; then          # 4.1.4 FTS later
		cp /opt/fujitsu/ServerViewSuite/RAIDManager/web/public/RAIDLog.xml $tempdir
		cp /opt/fujitsu/ServerViewSuite/RAIDManager/web/public/RAIDLog1.xml $tempdir
	elif [ -d /opt/fsc/RAID/web/public/ ]; then            # 2.3.x or later
		cp /opt/fsc/RAID/web/public/RAIDLog.xml $tempdir
		cp /opt/fsc/RAID/web/public/RAIDLog1.xml $tempdir
	elif [ -d /opt/SMAW/RAID/web/public/ ]; then           # 2.1.x before
		cp /opt/SMAW/RAID/web/public/RAIDLog.xml $tempdir
		cp /opt/SMAW/RAID/web/public/RAIDLog1.xml $tempdir
	fi
fi

progress 82 100 # Parameter Changed 

# Selꥢ

$HRM_bin/updatesel


progress 85 100 # Parameter Changed 

#
# 饹
#
if [ "$is_hard" = 1 ] ; then
	$HRM_bin/get cluster      > $tempdir/get_cluster           2>&1
	$HRM_bin/get clusterdetail > $tempdir/get_clusterdetail    2>&1
fi

progress 87 100 # Parameter Changed 

#
# message log
#

if [ "$is_hard" = 1 -o "$is_soft" = 1 ]
then
	/bin/dmesg > $tempdir/dmesg
        msg=`echo var/log/messages*`
else
        msg=""
fi

if [ "$is_hard" = 1 ]
then
        psalog="var/log/hwsp var/opt/FJSVpsa/log var/opt/FJSVpsa/sellog var/opt/FJSVpsa/sallog var/opt/FJSVpsa/trc"
        svmcolog="/var/fujitsu/SVmco/log /var/fujitsu/SVmco/trc"
else
        psalog=""
        svmcolog=""
fi

#
# create an archive in the slca or tar or zip format
#

if [ "$snap_ext" = "slc" ]
then

	${HRM_bin}/slca afr $snapdir/$snapfile  \
		$HRM_temp_dir $HRM_data_dir $HRM_config_dir $HRM_update_dir \
		$HRM_log_dir $SSC_log \
		$HRMCP_data_dir $HRMCP_config_dir $HRMCP_temp_dir  $HRMCP_log_dir $HRMCP_keys_dir \
		$msg $psalog $svmcolog

elif [ "$snap_ext" = "tgz" ]
then

	/bin/tar -czvf $snapdir/$snapfile  \
		$HRM_temp_dir $HRM_data_dir $HRM_config_dir $HRM_update_dir \
		$HRM_log_dir $SSC_log \
		$HRMCP_data_dir $HRMCP_config_dir $HRMCP_temp_dir  $HRMCP_log_dir $HRMCP_keys_dir \
		$msg $psalog $svmcolog

elif [ "$snap_ext" = "zip" ]
then

	${HRM_bin}/hrmzip -r $snapdir/$snapfile  \
		$HRM_temp_dir $HRM_data_dir $HRM_config_dir $HRM_update_dir \
		$HRM_log_dir $SSC_log \
		$HRMCP_data_dir $HRMCP_config_dir $HRMCP_temp_dir  $HRMCP_log_dir $HRMCP_keys_dir \
		$msg $psalog $svmcolog
	cd $HRM_temp/snapwork
	${HRM_bin}/hrmzip -r $snapdir/$snapfile  \
		customers hosts
	cd ..

else
	$HRM_bin/hrmevent "E0900:invalid archive format($snap_ext)"
fi

if [ ! -s "$snapdir/$snapfile" ]
then
    if [ "$is_remcs" != 1 ] ; then
	$HRM_bin/hrmevent "E0900:hrmsnap failed to create $snapfile."
    fi
fi


progress 90 100 # Parameter Changed 

#
# (4) set file size into begin line
#
size=`wc -c < $snapdir/$snapfile`
$HRM_bin/uuencode $snapdir/$snapfile $size > $snapdir/${snapfile}.uue

if [ "$?" != 0 -a "$is_remcs" != 1 ]
then
	$HRM_bin/hrmevent "E0900:hrmsnap failed to uuencode."
fi

mv $snapdir/${snapfile}.uue $snapdir/$snapfile

lines=`wc -l < $snapdir/${snapfile}`
echo "$snapfile $lines $size" > $snapdir/.snap_result

progress 95 100 # Parameter changed 

#
# (5) remove all temporary file
#
rm -rf $HRM_temp/hrmsnap_temp/*
rm -f $snapdir/.snap_pid
#
# 2007.06.06 M.Ochiai
#
rm -rf $HRM_temp/snapwork/customers
rm -rf $HRM_temp/snapwork/hosts

progress 100 100 # Parameter changed 
echo "HRMsnap end " `/bin/date '+%D %T'`

if [ "$is_remcs" != "1" ]
then
	$HRM_bin/hrmevent "I0915:snap is finished."
fi

exit 0
